# Copyright (C) 2024 Manuel Bustillo

class ApplicationController < ActionController::Base
    after_action :set_csrf_cookie

    private

    def set_csrf_cookie
      cookies["csrf-token"] = {
        value: form_authenticity_token,
        secure: Rails.env.production?,
        same_site: :strict,
      }
    end
end
